Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1810363 - Monitoring Dashboards: JS warning when rendering empty table cells
Summary: Monitoring Dashboards: JS warning when rendering empty table cells
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Andrew Pickering
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1810364
TreeView+ depends on / blocked
 
Reported: 2020-03-05 04:36 UTC by Andrew Pickering
Modified: 2020-07-13 17:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1810364 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:18:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4646 0 None closed Bug 1810363: Monitoring Dashboards: Fix JS warning for empty table cells 2020-06-23 09:00:53 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:18:44 UTC

Comment 4 Yadan Pei 2020-03-09 06:49:09 UTC
Hi Andrew,

Is there a specific dashboard or table I can verify the change with? As I understand the fix that I need to verify the fixes on a table with empty cells.

Comment 5 Andrew Pickering 2020-03-10 10:12:26 UTC
Hi Yadan

Any table with an empty cell (shown with a `-` character) will do. For example, the "Kubernetes / Compute Resources / Node (Pods)" dashboard has 2 tables and both have some empty cells.

Comment 6 Yadan Pei 2020-03-11 10:03:32 UTC
Thanks very much Andrew.

View 'Kubernetes / Compute Resources / Node (Pods)' dashboard, we can see empty cell in following table/charts:
CPU Utilisation (from limits)
Memory Utilisation (from limits)
some data in CPU Quota table
some data in Memory Quota

And in JS console, we don't see JS errors or warnings 

verified on     4.5.0-0.ci-2020-03-10-225406

Comment 8 errata-xmlrpc 2020-07-13 17:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.